# waypoint.cpp File Reference

Handling of waypoints. More...

`#include "stdafx.h"`
`#include "order_func.h"`
`#include "window_func.h"`
`#include "newgrf_station.h"`
`#include "waypoint_base.h"`
`#include "vehicle_gui.h"`
`#include "company_func.h"`
`#include "company_base.h"`

Go to the source code of this file.

## Functions
void | DrawWaypointSprite (int x, int y, int stat_id, RailType railtype)
| Draw a waypoint.

## Detailed Description

Handling of waypoints.

Definition in file waypoint.cpp.

## Function Documentation

void DrawWaypointSprite | ( | int | x,
|  | int | y,
|  | int | stat_id,
|  | RailType | railtype |
| ) |  |  |

Draw a waypoint.

Parameters:

  | x | coordinate
  | y | coordinate
  | stat_id | station id
  | railtype | RailType to use for

Definition at line 29 of file waypoint.cpp.

References AXIS_X, DrawStationTile(), INVALID_ROADTYPE, and STAT_CLASS_WAYP.

Referenced by BuildRailWaypointWindow::OnPaint().